SMSAdvertizements (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSAdvertizements interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSAdvertizements

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSAdvertizements

extends LogicalElement, ConfigurationItem

SMS_Advertisement class is used to announce software package programs that are available for running on clients. Ref Microsoft SMS 2003 SDK

Naming Rules:
  0="SMSHierarchy,advertisementName"
Persistable:
  true
Table Name:
  SMSADVERTISMENTS
Display Name:
  advertisementName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getActionInProgress()` Current action being performed on the advertisement by SMS.
`java.lang.String` | `getAdvertFlags()` When to announce the advertisement to the user.
`java.lang.String` | `getAdvertisementID()` Describes a unique, autogenerated key.
`java.lang.String` | `getAdvertisementName()` Required.
`int` | `getAdvertisementPriority()` Priority used in replicating the advertisement to child sites.
`boolean` | `getAssignedScheduleEnabled()` Indicates whether the schedule defined in AssignedSchedule is active.
`boolean` | `getAssignedScheduleIsGMT()` Indicates whether the schedule defined in the AssignedSchedule property is in GMT.
`java.lang.String` | `getComment()` Simple description or note about the advertisement.
`java.lang.String` | `getDeviceFlags()` Bit flag Description Bit 25 (0x01000000) Always assign program to the client.
`long` | `getExpirationTime()` Date and time at which the advertisement is no longer available to clients.
`boolean` | `getExpirationTimeEnabled()` Indicates whether the advertisement expires at the predefined time.
`boolean` | `getExpirationTimeIsGMT()` Indicates whether the time defined in the ExpirationTime property is in GMT.
`java.lang.String` | `getHierarchyPath()` Reserved.
`boolean` | `getIncludeSubCollection()` Indicates whether the advertisement is advertised to the subcollections of the specified collection.
`int` | `getISVData()` Allows a single ISV to store data relating to the Program object.
`int` | `getISVDataSize()` The size of the data stored in ISVData.
`java.lang.String` | `getPackageID()` Required.
`long` | `getPresentTime()` Data and time at which an advertisement is made available to clients.
`boolean` | `getPresentTimeEnabled()` Indicates whether the present time is enforced by SMS.
`boolean` | `getPresentTimeIsGMT()` Indicates whether the time defined in PresentTime is in GMT.
`java.lang.String` | `getProgramName()` Required.
`int` | `getRemoteClientsFlags()` Specifies how the program should run when the client is connected either locally or remotely to a distribution point.
`SMSCollections` | `getSMSCollection()`
`SMSHierarchy` | `getSMSHierarchy()`
`SMSPackage` | `getSMSPackage()`
`SMSSiteServer` | `getSMSSite()`
`java.lang.String` | `getTimeFlags()` Reserved for internal use.
`boolean` | `hasActionInProgress()`
`boolean` | `hasAdvertFlags()`
`boolean` | `hasAdvertisementID()`
`boolean` | `hasAdvertisementName()`
`boolean` | `hasAdvertisementPriority()`
`boolean` | `hasAssignedScheduleEnabled()`
`boolean` | `hasAssignedScheduleIsGMT()`
`boolean` | `hasComment()`
`boolean` | `hasDeviceFlags()`
`boolean` | `hasExpirationTime()`
`boolean` | `hasExpirationTimeEnabled()`
`boolean` | `hasExpirationTimeIsGMT()`
`boolean` | `hasHierarchyPath()`
`boolean` | `hasIncludeSubCollection()`
`boolean` | `hasISVData()`
`boolean` | `hasISVDataSize()`
`boolean` | `hasPackageID()`
`boolean` | `hasPresentTime()`
`boolean` | `hasPresentTimeEnabled()`
`boolean` | `hasPresentTimeIsGMT()`
`boolean` | `hasProgramName()`
`boolean` | `hasRemoteClientsFlags()`
`boolean` | `hasSMSCollection()`
`boolean` | `hasSMSHierarchy()`
`boolean` | `hasSMSPackage()`
`boolean` | `hasSMSSite()`
`boolean` | `hasTimeFlags()`
`void` | `setActionInProgress(int x)`
`void` | `setAdvertFlags(java.lang.String x)`
`void` | `setAdvertisementID(java.lang.String x)`
`void` | `setAdvertisementName(java.lang.String x)`
`void` | `setAdvertisementPriority(int x)`
`void` | `setAssignedScheduleEnabled(boolean x)`
`void` | `setAssignedScheduleIsGMT(boolean x)`
`void` | `setComment(java.lang.String x)`
`void` | `setDeviceFlags(java.lang.String x)`
`void` | `setExpirationTime(long x)`
`void` | `setExpirationTimeEnabled(boolean x)`
`void` | `setExpirationTimeIsGMT(boolean x)`
`void` | `setHierarchyPath(java.lang.String x)`
`void` | `setIncludeSubCollection(boolean x)`
`void` | `setISVData(int x)`
`void` | `setISVDataSize(int x)`
`void` | `setPackageID(java.lang.String x)`
`void` | `setPresentTime(long x)`
`void` | `setPresentTimeEnabled(boolean x)`
`void` | `setPresentTimeIsGMT(boolean x)`
`void` | `setProgramName(java.lang.String x)`
`void` | `setRemoteClientsFlags(int x)`
`void` | `setSMSCollection(SMSCollections x)`
`void` | `setSMSHierarchy(SMSHierarchy x)`
`void` | `setSMSPackage(SMSPackage x)`
`void` | `setSMSSite(SMSSiteServer x)`
`void` | `setTimeFlags(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDeviceFlags

    java.lang.String getDeviceFlags()
                                    throws AttributeNotSetException

  Bit flag Description Bit 25 (0x01000000) Always assign program to the client. Bit 26 (0x02000000) Assign only if the device is currently connected to a high bandwidth connection (default above 60 KBps). Bit 27 (0x04000000) Assign only if the device is cradle - that is, attached to a desktop via ActiveSync.

  Throws:
    `AttributeNotSetException`

### setDeviceFlags

    void setDeviceFlags(java.lang.String x)

### hasDeviceFlags

    boolean hasDeviceFlags()

### getExpirationTime

    long getExpirationTime()
                           throws AttributeNotSetException

  Date and time at which the advertisement is no longer available to clients. The default value is 19900101000000.000000+****.

  Throws:
    `AttributeNotSetException`

### setExpirationTime

    void setExpirationTime(long x)

### hasExpirationTime

    boolean hasExpirationTime()

### getSMSPackage

    SMSPackage getSMSPackage()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setSMSPackage

    void setSMSPackage(SMSPackage x)

### hasSMSPackage

    boolean hasSMSPackage()

### getRemoteClientsFlags

    int getRemoteClientsFlags()
                              throws AttributeNotSetException

  Specifies how the program should run when the client is connected either locally or remotely to a distribution point. Bit flag Description bit 4 (0x8) Program is run from the local distribution point. bit 5 (0x10) Program is downloaded from the local distribution point. bit 2 (0x2) Program is not run if there is no local distribution point. bit 3 (0x4) Program is downloaded from remote distribution point. bit 8 (0x80) Program is run from a remote distribution point.

  Throws:
    `AttributeNotSetException`

### setRemoteClientsFlags

    void setRemoteClientsFlags(int x)

### hasRemoteClientsFlags

    boolean hasRemoteClientsFlags()

### getSMSCollection

    SMSCollections getSMSCollection()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setSMSCollection

    void setSMSCollection(SMSCollections x)

### hasSMSCollection

    boolean hasSMSCollection()

### getPresentTimeEnabled

    boolean getPresentTimeEnabled()
                                  throws AttributeNotSetException

  Indicates whether the present time is enforced by SMS. The default value is TRUE.

  Throws:
    `AttributeNotSetException`

### setPresentTimeEnabled

    void setPresentTimeEnabled(boolean x)

### hasPresentTimeEnabled

    boolean hasPresentTimeEnabled()

### getSMSSite

    SMSSiteServer getSMSSite()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.LocatedAt" reverse="false"

### setSMSSite

    void setSMSSite(SMSSiteServer x)

### hasSMSSite

    boolean hasSMSSite()

### getProgramName

    java.lang.String getProgramName()
                                    throws AttributeNotSetException

  Required. Identifies a program within the specified package (PackageID) to be advertised

  Throws:
    `AttributeNotSetException`

### setProgramName

    void setProgramName(java.lang.String x)

### hasProgramName

    boolean hasProgramName()

### getISVDataSize

    int getISVDataSize()
                       throws AttributeNotSetException

  The size of the data stored in ISVData.

  Throws:
    `AttributeNotSetException`

### setISVDataSize

    void setISVDataSize(int x)

### hasISVDataSize

    boolean hasISVDataSize()

### getPackageID

    java.lang.String getPackageID()
                                  throws AttributeNotSetException

  Required. Identifies an existing package with which to associate this advertisement. The value must be in uppercase.

  Throws:
    `AttributeNotSetException`

### setPackageID

    void setPackageID(java.lang.String x)

### hasPackageID

    boolean hasPackageID()

### getPresentTime

    long getPresentTime()
                        throws AttributeNotSetException

  Data and time at which an advertisement is made available to clients. The default value is 19900101000000.000000+****.

  Throws:
    `AttributeNotSetException`

### setPresentTime

    void setPresentTime(long x)

### hasPresentTime

    boolean hasPresentTime()

### getAdvertisementID

    java.lang.String getAdvertisementID()
                                        throws AttributeNotSetException

  Describes a unique, autogenerated key. example "TTG00001"

  Throws:
    `AttributeNotSetException`

### setAdvertisementID

    void setAdvertisementID(java.lang.String x)

### hasAdvertisementID

    boolean hasAdvertisementID()

### getAdvertisementName

    java.lang.String getAdvertisementName()
                                          throws AttributeNotSetException

  Required. Unique user-friendly name for the advertisement.

  Throws:
    `AttributeNotSetException`

### setAdvertisementName

    void setAdvertisementName(java.lang.String x)

### hasAdvertisementName

    boolean hasAdvertisementName()

### getAssignedScheduleEnabled

    boolean getAssignedScheduleEnabled()
                                       throws AttributeNotSetException

  Indicates whether the schedule defined in AssignedSchedule is active. The default value is FALSE.

  Throws:
    `AttributeNotSetException`

### setAssignedScheduleEnabled

    void setAssignedScheduleEnabled(boolean x)

### hasAssignedScheduleEnabled

    boolean hasAssignedScheduleEnabled()

### getTimeFlags

    java.lang.String getTimeFlags()
                                  throws AttributeNotSetException

  Reserved for internal use. Duplicates the information in the time-related properties. For example, ENABLE_PRESENT is set when PresentTimeEnabled equals TRUE. Bit flags are as follows: ENABLE_PRESENT (bit 0 = 1) ENABLE_EXPIRATION (bit 1 = 2) ENABLE_AVAILABLE (bit 2 = 4) ENABLE_UNAVAILABLE (bit 3 = 8) ENABLE_MANDATORY (bit 4 = 16) GMT_PRESENT (bit 8 = 256) GMT_EXPIRATION (bit 9 = 512) GMT_AVAILABLE (bit 10 = 1024) GMT_UNAVAILABLE (bit 11 = 2048) GMT_MANDATORY (bit 12 = 4096)

  Throws:
    `AttributeNotSetException`

### setTimeFlags

    void setTimeFlags(java.lang.String x)

### hasTimeFlags

    boolean hasTimeFlags()

### getAssignedScheduleIsGMT

    boolean getAssignedScheduleIsGMT()
                                     throws AttributeNotSetException

  Indicates whether the schedule defined in the AssignedSchedule property is in GMT. The default value is FALSE.

  Throws:
    `AttributeNotSetException`

### setAssignedScheduleIsGMT

    void setAssignedScheduleIsGMT(boolean x)

### hasAssignedScheduleIsGMT

    boolean hasAssignedScheduleIsGMT()

### getSMSHierarchy

    SMSHierarchy getSMSHierarchy()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSHierarchy

    void setSMSHierarchy(SMSHierarchy x)

### hasSMSHierarchy

    boolean hasSMSHierarchy()

### getPresentTimeIsGMT

    boolean getPresentTimeIsGMT()
                                throws AttributeNotSetException

  Indicates whether the time defined in PresentTime is in GMT. The default value is FALSE.

  Throws:
    `AttributeNotSetException`

### setPresentTimeIsGMT

    void setPresentTimeIsGMT(boolean x)

### hasPresentTimeIsGMT

    boolean hasPresentTimeIsGMT()

### getActionInProgress

    int getActionInProgress()
                            throws AttributeNotSetException

  Current action being performed on the advertisement by SMS. When you delete an instance of SMS_Advertisement, the instance is not deleted until its related components are deleted. Instead, SMS sets the ActionInProgress property to 3 (delete) to let you know that the advertisement is marked for deletion. In SMS 2.0, to ensure that your query does not return advertisements that have been deleted (marked for deletion), you should add this case to your WHERE clause. In SMS 2003, the WHERE clause is not required because advertisements that are marked for deletion will not be returned by a query.

  Throws:
    `AttributeNotSetException`

### setActionInProgress

    void setActionInProgress(int x)

### hasActionInProgress

    boolean hasActionInProgress()

### getAdvertFlags

    java.lang.String getAdvertFlags()
                                    throws AttributeNotSetException

  When to announce the advertisement to the user. These bit flags must be coordinated with the bit flags specified in the ProgramFlags property of the advertised program. For example, if you set ONUSERLOGOFF, the NOUSERLOGGEDIN flag in the program must be set. If the flag settings do not match, the program will not be advertised. Bit flags are as follows: IMMEDIATE (bit 5) ONSYSTEMSTARTUP (bit 8) ONUSERLOGON (bit 9) ONUSERLOGOFF (bit 10) NO_DISPLAY (bit 25) ONSLOWNET (bit 26) Setting IMMEDIATE, ONUSERLOGON, or ONUSERLOGOFF or providing an AssignedSchedule value makes the advertised program mandatory. A mandatory program is run automatically after the client has received the advertisement - the client cannot reject or postpone the installation. Set the NO_DISPLAY and ONSLOWNET bits only when the IMMEDIATE, ONUSERLOGON, or ONUSERLOGOFF bit is set or the program has an AssignedSchedule value. Set NO_DISPLAY when you do not want the user to run programs independently of the assignment. If you do not set this bit, the advertisement is shown in the list of advertisements and can be run independently of the assignment. (The program can still be mandatory.) Set ONSLOWNET when assignments are mandatory over a slow network connection, such as when a computer connects using a modem.

  Throws:
    `AttributeNotSetException`

### setAdvertFlags

    void setAdvertFlags(java.lang.String x)

### hasAdvertFlags

    boolean hasAdvertFlags()

### getISVData

    int getISVData()
                   throws AttributeNotSetException

  Allows a single ISV to store data relating to the Program object. There are no restrictions or defined formats for this data. However, it is important that after ISV ownership of this property has been established, it should not be overwritten. Therefore, the existing data in this property should be read first and if it does not belong to the calling application, it should not be modified. Any ISV or application owner using this property should include an identifier in the data so that ownership can be easily established

  Throws:
    `AttributeNotSetException`

### setISVData

    void setISVData(int x)

### hasISVData

    boolean hasISVData()

### getAdvertisementPriority

    int getAdvertisementPriority()
                                 throws AttributeNotSetException

  Priority used in replicating the advertisement to child sites. The default value is NORMAL. Values are as follows: HIGH (1) NORMAL (2) LOW (3)

  Throws:
    `AttributeNotSetException`

### setAdvertisementPriority

    void setAdvertisementPriority(int x)

### hasAdvertisementPriority

    boolean hasAdvertisementPriority()

### getExpirationTimeEnabled

    boolean getExpirationTimeEnabled()
                                     throws AttributeNotSetException

  Indicates whether the advertisement expires at the predefined time. The default value is FALSE.

  Throws:
    `AttributeNotSetException`

### setExpirationTimeEnabled

    void setExpirationTimeEnabled(boolean x)

### hasExpirationTimeEnabled

    boolean hasExpirationTimeEnabled()

### getExpirationTimeIsGMT

    boolean getExpirationTimeIsGMT()
                                   throws AttributeNotSetException

  Indicates whether the time defined in the ExpirationTime property is in GMT. The default value is FALSE.

  Throws:
    `AttributeNotSetException`

### setExpirationTimeIsGMT

    void setExpirationTimeIsGMT(boolean x)

### hasExpirationTimeIsGMT

    boolean hasExpirationTimeIsGMT()

### getHierarchyPath

    java.lang.String getHierarchyPath()
                                      throws AttributeNotSetException

  Reserved.

  Throws:
    `AttributeNotSetException`

### setHierarchyPath

    void setHierarchyPath(java.lang.String x)

### hasHierarchyPath

    boolean hasHierarchyPath()

### getComment

    java.lang.String getComment()
                                throws AttributeNotSetException

  Simple description or note about the advertisement.

  Throws:
    `AttributeNotSetException`

### setComment

    void setComment(java.lang.String x)

### hasComment

    boolean hasComment()

### getIncludeSubCollection

    boolean getIncludeSubCollection()
                                    throws AttributeNotSetException

  Indicates whether the advertisement is advertised to the subcollections of the specified collection.

  Throws:
    `AttributeNotSetException`

### setIncludeSubCollection

    void setIncludeSubCollection(boolean x)

### hasIncludeSubCollection

    boolean hasIncludeSubCollection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD